Bug 602194 - Search results UI not updated in the resource picker for "specific resource" alert sender
Summary: Search results UI not updated in the resource picker for "specific resource" ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts   
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On: 601991
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 11:26 UTC by Lukas Krejci
Modified: 2010-08-12 16:57 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:57:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lukas Krejci 2010-06-09 11:26:14 UTC
Description of problem:

The search results table for the "Specific Resource" alert sender still contains columns that have been left out in the recent version of the search page. The "Name" and "Parent" columns have been renamed to "Resource" and "Location".

How reproducible:
always

Steps to Reproduce:
1. Create an alert, create a "Specific Resource" alert sender for it.
2. Click on "Pick" button to view the resource picker UI.
3. The search results table looks outdated.
  
Actual results:
The search results table looks outdated.

Expected results:
The search results table in the resource picker should have the same columns as the full search page.

Comment 1 Joseph Marques 2010-06-09 15:48:43 UTC
commit c5915c8806a44de879787fd5a3f883203900c829
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 9 02:36:26 2010 -0400

    BZ-601991: fix resource "picker" for specific-resource mode for operation-based alert sender
    
    * simplify picker-popup by removing resource tabs
    ** this was broken anyway (resourcePicker.xhtml had no JSF nav rules)
    * update resourcePicker.xhtml to use GWT-based SearchBar instead of just a plain text input
    * appropriately size the popup so that scrollbars will not display by default

Comment 2 Sunil Kondkar 2010-06-10 10:57:40 UTC
Verified on jon24 beta1

Observed that resourcePicker.xhtml now uses GWT-based searchbar.
By default, for 15 item per page, scroll bars are not displayed.
The resource picker displays colums as 'Name', 'Location', 'Description' and 'Availability'.

Comment 3 Corey Welton 2010-08-12 16:57:40 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.